Bug 1552923 - Revert inadvertently bumped soname
Summary: Revert inadvertently bumped soname
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-conduit-extra
Version: 28
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F28BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-03-07 22:54 UTC by Adam Williamson
Modified: 2018-03-12 22:37 UTC (History)
2 users (show)

Fixed In Version: ghc-conduit-extra-1.2.3.2-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 22:37:36 UTC


Attachments (Terms of Use)

Description Adam Williamson 2018-03-07 22:54:14 UTC
ghc-conduit-extra-1.2.3.2-3 inadvertently bumped the soname of the shared objects in this package. That build is currently in F28 stable.

*Some* dependencies were rebuilt for the bumped soname, but some were not. So F28 stable currently has several broken deps related to this.

We would like to fix this up by pushing ghc-conduit-extra-1.2.3.2-4, which reverts the soname back to what it was before, plus re-RE-builds of all the dependencies that were initially rebuilt. This should result in a fully consistent state.

The update for this is:

https://bodhi.fedoraproject.org/updates/FEDORA-2018-8db509d6dc

Proposing for a freeze exception as it would be good to have these dependencies in-line in the Beta release.

Comment 1 Fedora Update System 2018-03-07 22:58:04 UTC
ghc-codec-rpm-0.2.0-5.fc28 ghc-conduit-combinators-1.1.2-4.fc28 ghc-conduit-extra-1.2.3.2-4.fc28 ghc-content-store-0.2.0-5.fc28 ghc-cpio-conduit-0.7.0-5.fc28 ghc-tar-conduit-0.1.1-5.fc28 ghc-typed-process-0.2.1.0-4.fc28 ghc-xml-conduit-1.7.0.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8db509d6dc

Comment 2 Fedora Update System 2018-03-08 15:26:37 UTC
ghc-codec-rpm-0.2.0-5.fc28, ghc-conduit-combinators-1.1.2-4.fc28, ghc-conduit-extra-1.2.3.2-4.fc28, ghc-content-store-0.2.0-5.fc28, ghc-cpio-conduit-0.7.0-5.fc28, ghc-tar-conduit-0.1.1-5.fc28, ghc-typed-process-0.2.1.0-4.fc28, ghc-xml-conduit-1.7.0.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8db509d6dc

Comment 3 Geoffrey Marr 2018-03-12 20:52:31 UTC
Discussed during the 2018-03-12 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made as it would be good to get these dependencies in line for the Beta. We note that this may affect the compose of some images.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-03-12/f28-blocker-review.2018-03-12-16.01.txt

Comment 4 Fedora Update System 2018-03-12 22:37:36 UTC
ghc-codec-rpm-0.2.0-5.fc28, ghc-conduit-combinators-1.1.2-4.fc28, ghc-conduit-extra-1.2.3.2-4.fc28, ghc-content-store-0.2.0-5.fc28, ghc-cpio-conduit-0.7.0-5.fc28, ghc-tar-conduit-0.1.1-5.fc28, ghc-typed-process-0.2.1.0-4.fc28, ghc-xml-conduit-1.7.0.1-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.